# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/gauche-cesconv /usr/bin/gauche-config /usr/bin/gauche-install /usr/bin/gauche-package /usr/bin/gosh libSM-devel
# END SourceDeps(oneline)
%global gauche_main_version 0.9

%global snapshot_date 20120403
%global git_revision  f7d3f802f3750
%global alphatag      %{snapshot_date}git%{git_revision}

Name:           gauche-gtk
Epoch:          1
Version:        0.6
Release:        alt1_0.8.%{alphatag}
Summary:        Gauche extension module to use GTK

Group:          Development/Other
%if 0%{?rhel}
%endif
License:        BSD
URL:            http://practical-scheme.net/
# no stable release yet
# git clone git://github.com/shirok/Gauche-gtk2.git
# (cd Gauche-gtk2 && git archive --format=tar \
#  --prefix=%%{name}-%%{version}/ %%{git_revision} \
# | xz ) > %%{name}-%%{version}-%%{git_revision}.tar.xz
Source0:        %{name}-%{version}-%{git_revision}.tar.xz

%if 0%{?el5}
%endif

BuildRequires:  gauche-devel
BuildRequires:  gtk2-devel
BuildRequires:  gtkglext-devel
BuildRequires:  libX11-devel
BuildRequires:  libXt-devel
BuildRequires:  libICE-devel
BuildRequires:  autoconf
# used in test
BuildRequires:  gauche-gl
BuildRequires:  xvfb-run xauth

Requires:       gauche-gl

# To match gauche
ExcludeArch:    ppc64
Source44: import.info


%description
Gauche extension module to use GTK.


%package devel
Summary:        Development files for %{name}
Group:          Development/Other
%if 0%{?rhel}
%endif
Requires:       %{name} = %{epoch}:%{version}-%{release}

%description devel
Development files for %{name}.


%prep
%setup -q
autoconf


%build
%configure --enable-gtkgl --enable-glgd --enable-glgd-pango
make stubs
make %{?_smp_mflags} OPTFLAGS=


%install
%if 0%{?el5}
%endif
mkdir -p $RPM_BUILD_ROOT`gauche-config --syslibdir`
mkdir -p $RPM_BUILD_ROOT`gauche-config --sysarchdir`
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.so' -exec chmod 0755 '{}' ';'
chmod -c 644 */*.c # for debuginfo


%check
# 'make check' does not set return code properly, but
# outputs to test.log
xvfb-run -a -w 1 make check
# Gtk test currently fails.
# four known failures reported upstream; fail if more failures occur
# https://github.com/shirok/Gauche-gtk2/issues/2
[ $(grep " ==> ERROR: GOT " src/test.log | wc -l) -le 4 ]


%files
%doc COPYING README VERSION examples
%{_libdir}/gauche-%{gauche_main_version}/site/*/*.so
%{_datadir}/gauche-%{gauche_main_version}/site/lib/.packages/Gauche-gtk2.gpd
%{_datadir}/gauche-%{gauche_main_version}/site/lib/gtk.scm
%{_datadir}/gauche-%{gauche_main_version}/site/lib/gtk
%{_datadir}/gauche-%{gauche_main_version}/site/lib/h2s


%files devel
%{_libdir}/gauche-%{gauche_main_version}/site/include/*


%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1:0.6-alt1_0.8.20120403gitf7d3f802f3750
- update to new release by fcimport

* Sat Jan 12 2013 Igor Vlasenko <viy@altlinux.ru> 1:0.6-alt1_0.6.20120403gitf7d3f802f3750
- initial fc import

